# isEmpty property

1. @protected

bool get isEmpty

Returns true if no aliases are registered for the current thread.

## Returns:

`true` if the registry is empty, `false` otherwise

## Example:

    final registry = SimpleAliasRegistry();
    print(registry.isEmpty); // true

    registry.registerAlias('service', 'alias');
    print(registry.isEmpty); // false

## Implementation

    @protected
    bool get isEmpty => synchronized(this, () {
      final aliasMap = _getAliasMap();
      return aliasMap.isEmpty;
    });